Bug 1490979 - [RFE] With CF generated keypairs for OSP, you are unable to download the Private key
Summary: [RFE] With CF generated keypairs for OSP, you are unable to download the Priv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: MVP
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Jad Haj Yahya
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-12 16:33 UTC by Saif Ali
Modified: 2019-02-07 23:02 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:46 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:54 UTC

Description Saif Ali 2017-09-12 16:33:09 UTC
Description of problem:
With CF generated keypairs for OSP, you are unable to download the Private key

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Dave Johnson 2017-09-12 16:45:07 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.

Comment 10 Sam Lucidi 2018-05-17 21:43:37 UTC
I've got PRs up for this: 
https://github.com/ManageIQ/manageiq-ui-classic/pull/3957
https://github.com/ManageIQ/manageiq/pull/17439

There is a caveat however. The Openstack API only returns the private key when the key pair is created, and it cannot be requested at any other time. If Cloudforms is used to create the key, then Cloudforms will save it and it will be available for download, but Cloudforms won't be able to access any pre-existing keypairs that it did not create, and if the Cloudforms database is lost for some reason, the key will not be retrievable again.

Comment 11 Jad Haj Yahya 2018-07-08 09:04:08 UTC
Verified on 5.10.0.3

Comment 12 Jad Haj Yahya 2018-11-14 10:13:02 UTC
Verified on 5.10.0.23

Comment 13 errata-xmlrpc 2019-02-07 23:02:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.